@import '__layouts';
@import '__loaders';
@import 'typography';
@import 'navigation';
@import 'pagination';
@import 'news';

// experiments
@import 'powellgrid';
@import 'logo-fx';

// colors and dark mode
// see: https://github.com/bufferhead-code/nightowl/blob/main/src/main.ts
.light body {
    filter: inver(0%);
}

.dark body {
    filter: invert(88%) hue-rotate(180deg);
    // negate media:
    img, video, iframe {
        filter: invert(88%) hue-rotate(180deg);
    }
}

// feature flag(s)
.flag-off {
    display: none;
}
